Bug 1331462 (CVE-2016-1548) - CVE-2016-1548 ntp: ntpd switching to interleaved mode with spoofed packets
Summary: CVE-2016-1548 ntp: ntpd switching to interleaved mode with spoofed packets
Status: CLOSED ERRATA
Alias: CVE-2016-1548
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160426,repor...
Keywords: Security
Depends On: 1332160 1332478 1332479 1332480 1332481 1356968
Blocks: 1331437
TreeView+ depends on / blocked
 
Reported: 2016-04-28 14:51 UTC by Martin Prpič
Modified: 2019-06-08 21:09 UTC (History)
7 users (show)

(edit)
It was found that an ntpd client could be forced to change from basic client/server mode to the interleaved symmetric mode. A remote attacker could use a spoofed packet that, when processed by an ntpd client, would cause that client to reject all future legitimate server responses, effectively disabling time synchronization on that client.
Clone Of:
(edit)
Last Closed: 2016-05-31 08:23:33 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1141 normal SHIPPED_LIVE Moderate: ntp security update 2016-05-31 12:11:54 UTC
Red Hat Knowledge Base (Solution) 2300641 None None None 2016-05-06 01:28 UTC
Red Hat Product Errata RHSA-2016:1552 normal SHIPPED_LIVE Moderate: ntp security update 2016-08-03 11:43:21 UTC

Description Martin Prpič 2016-04-28 14:51:13 UTC
ntpd supports an interleaved mode to allow the protocol to exchange transmit timestamps that were captured after the packet was sent in symmetric associations and broadcast modes. It can be enabled in the configuration file, but it's also enabled automatically when a packet received from the source is detected to be in the interleaved mode. The detection compares the origin timestamp in the packet to the previous local receive timestamp. The interleaved mode is enabled even in client associations, even though it makes no sense there.

The problem is that the reference timestamp, which is revealed in all packets, is set to the local receive timestamp when the clock is updated. An off-path attacker can use ordinary client packets to monitor the server's reference timestamp and reference ID, wait for a clock update, and send the server a spoofed packet that will switch the association to the interleaved mode. This effectively disables the synchronization with the source as packets received from that point will not pass the checks used in the interleaved mode. The attack can be repeated for other sources when ntpd reselects. Unless the sources can be replaced (as with the pool directive for instance), the client will stay unsynchronized.

Upstream bugs:

http://support.ntp.org/bin/view/Main/NtpBug2978

External References:

http://support.ntp.org/bin/view/Main/SecurityNotice#April_2016_NTP_4_2_8p7_Security
http://www.talosintel.com/reports/TALOS-2016-0082/

Comment 1 Martin Prpič 2016-04-28 14:51:22 UTC
Acknowledgments:

Name: Miroslav Lichvar (Red Hat)

Comment 2 Martin Prpič 2016-05-02 11:37:32 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1332160]

Comment 5 Fedora Update System 2016-05-07 11:42:06 UTC
ntp-4.2.6p5-40.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-05-10 17:58:33 UTC
ntp-4.2.6p5-40.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-05-12 07:21:40 UTC
ntp-4.2.6p5-40.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2016-05-31 08:12:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1141 https://access.redhat.com/errata/RHSA-2016:1141

Comment 10 errata-xmlrpc 2016-08-03 07:43:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.7 Extended Update Support

Via RHSA-2016:1552 https://rhn.redhat.com/errata/RHSA-2016-1552.html


Note You need to log in before you can comment on or make changes to this bug.